Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227269 - Cursor in <textarea> does not move back
Summary: Cursor in <textarea> does not move back
Keywords:
Status: CLOSED DUPLICATE of bug 227257
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-04 15:50 UTC by Enrico Scholz
Modified: 2018-04-11 07:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-06 15:51:43 UTC


Attachments (Terms of Use)

Description Enrico Scholz 2007-02-04 15:50:03 UTC
Description of problem:

When entering text in formular fields (e.g. like bugzilla comments),
the cursor can not be moved with cursor keys. With previous version
(1.5.0.9-1), it worked fine.


Version-Release number of selected component (if applicable):

firefox-1.5.0.9-2.fc6


How reproducible:

100%


Steps to Reproduce:
1. write some text in the bugzilla textbox
2. press cursor-left key

 
Actual results:

Cursor does not move, but new characters will be written at the correct position


Expected results:

Cursor moves one char back

Comment 1 Mario Curcija 2007-02-06 10:29:53 UTC
Same here and I have to say it is very annoying (please increase Severity for
this one). 

Visual caret does not reflect actual caret position except when at begining/end. 

All HTML text input elements have this problem along with other TextUI Elements
such as Address-Bar/Search/Googlebar-SearchBox. 
Additionally found that Thunderbird has same problem. I haven't checked if
Bugzilla entry for Thunderbird exists. 
However it is not Firefox bug only, but bug in one or more of shared dependecies. 

Best regards, 
Mario

Comment 2 Christopher Aillon 2007-02-06 15:07:29 UTC
Is this pango enabled or disabled?

Comment 3 Mario Curcija 2007-02-06 15:48:02 UTC
My enviroment was pango disabled. With pango enabled (it is default) now it
works fine.  
 
Solution:
- check enviroment for "MOZ_DISABLE_PANGO=1". 
- locate how MOZ_DISABLE_PANGO=1 is set (mine was in profile.d/mozilla.sh) and
comment it out 
- unset MOZ_DISABLE_PANGO
- restarted firefox 



Comment 4 Matěj Cepl 2007-02-06 15:51:43 UTC

*** This bug has been marked as a duplicate of 227257 ***


Note You need to log in before you can comment on or make changes to this bug.